VOP_READLINK(9)

NAME
VOP_READLINK - read the target of a symbolic link

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
#include <sys/uio.h>
int
VOP_READLINK(struct vnode *vp, struct uio *uio, struct ucred *cred);

DESCRIPTION
This reads the target pathname of a symbolic link

vp  the vnode of the symlink

uio the location of the data to be read or written

cnp the credentials of the caller

LOCKS
The vnode should be locked on entry and will still be locked on exit.

RETURN VALUES
Zero is returned on success, otherwise an error code is returned.

PSEUDOCODE

    int
    vop_readlink(struct vnode *vp, struct uio *uio, struct ucred *cred)
    {
        int error = 0;
        /*
         * Read the target of the symlink.
         */
        ...;
        return error;
    }

ERRORS

[EIO]
    a read error occurred while reading the contents of the symlink

SEE ALSO
vnode(9), uiomove(9)

AUTHORS
This man page was written by Doug Rabson.